<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Goocanvas::Bounds Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceGoocanvas.html">Goocanvas</a></li><li class="navelem"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="classGoocanvas_1_1Bounds-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Goocanvas::Bounds Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8335e4b786a07edc203f53a58e788ae5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a8335e4b786a07edc203f53a58e788ae5">Bounds</a> (const <a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp; other) noexcept</td></tr>
<tr class="separator:a8335e4b786a07edc203f53a58e788ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add2dfbf03cd28c518576399568f4dd80"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#add2dfbf03cd28c518576399568f4dd80">operator=</a> (const <a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp; other) noexcept</td></tr>
<tr class="separator:add2dfbf03cd28c518576399568f4dd80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c723d963d5f7f1b0900d8b4fd930270"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a0c723d963d5f7f1b0900d8b4fd930270">Bounds</a> (<a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&amp; other) noexcept</td></tr>
<tr class="separator:a0c723d963d5f7f1b0900d8b4fd930270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6f1e1d6b7a38bf9a6c557413579c4c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a7b6f1e1d6b7a38bf9a6c557413579c4c">operator=</a> (<a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&amp; other) noexcept</td></tr>
<tr class="separator:a7b6f1e1d6b7a38bf9a6c557413579c4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24beb09ee1a220c3347ac1e4994c9d90"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a24beb09ee1a220c3347ac1e4994c9d90">Bounds</a> ()</td></tr>
<tr class="separator:a24beb09ee1a220c3347ac1e4994c9d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f12a7e203d2606e6d5340e393a29b26"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a4f12a7e203d2606e6d5340e393a29b26">Bounds</a> (const GooCanvasBounds* gobject)</td></tr>
<tr class="separator:a4f12a7e203d2606e6d5340e393a29b26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74782228207d5d4d67eda0b42027ce8e"><td class="memItemLeft" align="right" valign="top">GooCanvasBounds*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a74782228207d5d4d67eda0b42027ce8e">gobj</a> ()</td></tr>
<tr class="memdesc:a74782228207d5d4d67eda0b42027ce8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C instance.  <a href="#a74782228207d5d4d67eda0b42027ce8e">More...</a><br /></td></tr>
<tr class="separator:a74782228207d5d4d67eda0b42027ce8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e760d3e55b5d3d60c2b2ed2edf65305"><td class="memItemLeft" align="right" valign="top">const GooCanvasBounds*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a4e760d3e55b5d3d60c2b2ed2edf65305">gobj</a> () const </td></tr>
<tr class="memdesc:a4e760d3e55b5d3d60c2b2ed2edf65305"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides access to the underlying C instance.  <a href="#a4e760d3e55b5d3d60c2b2ed2edf65305">More...</a><br /></td></tr>
<tr class="separator:a4e760d3e55b5d3d60c2b2ed2edf65305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af46c521808cb134b6267d10b3ad2dc3b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#af46c521808cb134b6267d10b3ad2dc3b">Bounds</a> (double x1, double y1, double x2, double y2)</td></tr>
<tr class="separator:af46c521808cb134b6267d10b3ad2dc3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f9728aeed4e774854d74faeca648b85"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a3f9728aeed4e774854d74faeca648b85">get_x1</a> () const </td></tr>
<tr class="separator:a3f9728aeed4e774854d74faeca648b85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a340a519df226c08c4a8eb1fcd68b97ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a340a519df226c08c4a8eb1fcd68b97ee">set_x1</a> (const double&amp; value)</td></tr>
<tr class="separator:a340a519df226c08c4a8eb1fcd68b97ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3d6fc871e2f00c9e2990b89ab00e317"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#ac3d6fc871e2f00c9e2990b89ab00e317">get_x2</a> () const </td></tr>
<tr class="separator:ac3d6fc871e2f00c9e2990b89ab00e317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef89154ff3fed52da4bbbd8aa326d5a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#aef89154ff3fed52da4bbbd8aa326d5a7">set_x2</a> (const double&amp; value)</td></tr>
<tr class="separator:aef89154ff3fed52da4bbbd8aa326d5a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f8fe5311e191037474e089648e07d60"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a7f8fe5311e191037474e089648e07d60">get_y1</a> () const </td></tr>
<tr class="separator:a7f8fe5311e191037474e089648e07d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa49bc0720c37aca301a1ed6365e2586d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#aa49bc0720c37aca301a1ed6365e2586d">set_y1</a> (const double&amp; value)</td></tr>
<tr class="separator:aa49bc0720c37aca301a1ed6365e2586d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11a66dc67920394bdf8fca39c03790e"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#ae11a66dc67920394bdf8fca39c03790e">get_y2</a> () const </td></tr>
<tr class="separator:ae11a66dc67920394bdf8fca39c03790e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae956c42a8658a1de0203806895aa6a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a2ae956c42a8658a1de0203806895aa6a">set_y2</a> (const double&amp; value)</td></tr>
<tr class="separator:a2ae956c42a8658a1de0203806895aa6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7b8995806d677f5ce26447e8af89837d"><td class="memItemLeft" align="right" valign="top">static GType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a7b8995806d677f5ce26447e8af89837d">get_type</a> ()</td></tr>
<tr class="memdesc:a7b8995806d677f5ce26447e8af89837d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GType for this class, for use with the underlying GObject type system.  <a href="#a7b8995806d677f5ce26447e8af89837d">More...</a><br /></td></tr>
<tr class="separator:a7b8995806d677f5ce26447e8af89837d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a79e1bdb7d70b1f94174774c84ae00796"><td class="memItemLeft" align="right" valign="top">GooCanvasBounds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#a79e1bdb7d70b1f94174774c84ae00796">gobject_</a></td></tr>
<tr class="separator:a79e1bdb7d70b1f94174774c84ae00796"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:af06eb508452561f0d7cad73eecc96a14"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGoocanvas_1_1Bounds.html">Goocanvas::Bounds</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#af06eb508452561f0d7cad73eecc96a14">wrap</a> (GooCanvasBounds* object)</td></tr>
<tr class="separator:af06eb508452561f0d7cad73eecc96a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf7a1eb2a75c6134ae7862c79443cdb"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classGoocanvas_1_1Bounds.html">Goocanvas::Bounds</a>&amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGoocanvas_1_1Bounds.html#abbf7a1eb2a75c6134ae7862c79443cdb">wrap</a> (const GooCanvasBounds* object)</td></tr>
<tr class="separator:abbf7a1eb2a75c6134ae7862c79443cdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8335e4b786a07edc203f53a58e788ae5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Bounds::Bounds </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a0c723d963d5f7f1b0900d8b4fd930270"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Bounds::Bounds </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a24beb09ee1a220c3347ac1e4994c9d90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Bounds::Bounds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a4f12a7e203d2606e6d5340e393a29b26"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Bounds::Bounds </td>
          <td>(</td>
          <td class="paramtype">const GooCanvasBounds *&#160;</td>
          <td class="paramname"><em>gobject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af46c521808cb134b6267d10b3ad2dc3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Goocanvas::Bounds::Bounds </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>x1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>y1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>x2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>y2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a7b8995806d677f5ce26447e8af89837d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static GType Goocanvas::Bounds::get_type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the GType for this class, for use with the underlying GObject type system. </p>

</div>
</div>
<a class="anchor" id="a3f9728aeed4e774854d74faeca648b85"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Goocanvas::Bounds::get_x1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac3d6fc871e2f00c9e2990b89ab00e317"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Goocanvas::Bounds::get_x2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7f8fe5311e191037474e089648e07d60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Goocanvas::Bounds::get_y1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ae11a66dc67920394bdf8fca39c03790e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Goocanvas::Bounds::get_y2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a74782228207d5d4d67eda0b42027ce8e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GooCanvasBounds* Goocanvas::Bounds::gobj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provides access to the underlying C instance. </p>

</div>
</div>
<a class="anchor" id="a4e760d3e55b5d3d60c2b2ed2edf65305"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const GooCanvasBounds* Goocanvas::Bounds::gobj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provides access to the underlying C instance. </p>

</div>
</div>
<a class="anchor" id="add2dfbf03cd28c518576399568f4dd80"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp; Goocanvas::Bounds::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a7b6f1e1d6b7a38bf9a6c557413579c4c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp; Goocanvas::Bounds::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGoocanvas_1_1Bounds.html">Bounds</a>&amp;&amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a340a519df226c08c4a8eb1fcd68b97ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Bounds::set_x1 </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aef89154ff3fed52da4bbbd8aa326d5a7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Bounds::set_x2 </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aa49bc0720c37aca301a1ed6365e2586d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Bounds::set_y1 </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2ae956c42a8658a1de0203806895aa6a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Goocanvas::Bounds::set_y2 </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="af06eb508452561f0d7cad73eecc96a14"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGoocanvas_1_1Bounds.html">Goocanvas::Bounds</a>&amp; wrap </td>
          <td>(</td>
          <td class="paramtype">GooCanvasBounds *&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">object</td><td>The C instance </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A C++ instance that wraps this C instance. </dd></dl>

</div>
</div>
<a class="anchor" id="abbf7a1eb2a75c6134ae7862c79443cdb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classGoocanvas_1_1Bounds.html">Goocanvas::Bounds</a>&amp; wrap </td>
          <td>(</td>
          <td class="paramtype">const GooCanvasBounds *&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">related</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">object</td><td>The C instance </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A C++ instance that wraps this C instance. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a79e1bdb7d70b1f94174774c84ae00796"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GooCanvasBounds Goocanvas::Bounds::gobject_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>goocanvasmm/bounds.h</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:03:59 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
